Bug 577 - German Umlaut Problem
German Umlaut Problem
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Extended Characters
3.0.0
All Solaris
: P3 normal
: none
Assigned To: Alexander Bokovoy
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-07 02:30 UTC by Roland Jungwirth
Modified: 2005-11-14 09:28 UTC (History)
0 users

See Also:


Attachments
smb.conf (2.57 KB, text/plain)
2003-12-09 00:23 UTC, Roland Jungwirth
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Jungwirth 2003-10-07 02:30:31 UTC
German Umlaut problem on Solaris 5.7. 
- older files, (created from windows clients, bevore  samba update to 3.0.0) 
which contain German Umlauts, are not displayed properly, this files can´t be 
accessed under Windows now.
- new files, which contain German Umlauts, created from Windows-Clients, can´t 
be accessed under solaris now.
Comment 1 Alexander Bokovoy 2003-12-08 10:47:22 UTC
Please provide your smb.conf 
Comment 2 Roland Jungwirth 2003-12-09 00:23:45 UTC
Created attachment 308 [details]
smb.conf
Comment 3 Alexander Bokovoy 2003-12-09 01:19:19 UTC
So, according to your smb.conf, you have following charset settings:

dos charset = cp850 (default)
unix charset = utf-8 (default)
display charset = ISO8859-1 (set manually)

It means that shared through samba filenames on the server must be encoded in
UTF-8 charset. If it is not true (i.e. you do have different encoding for your
file names), please fix either setting in smb.conf or rename files so that they
conform with specified 'unix charset' (UTF-8 in the case).
Comment 4 Gerald (Jerry) Carter 2004-03-17 05:42:18 UTC
Many changes in 3.0.2a and in the latest cvs.
marking this one as fixed.  Please let us know if the 
latest 3.0 cvs code still fails.
Comment 5 Roland Jungwirth 2004-03-17 07:07:31 UTC
We had to rename files, no more problems since that.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:24:20 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 7 Gerald (Jerry) Carter 2005-11-14 09:28:20 UTC
database cleanup